package	jp.co.sds_corp.hibiya.server;

import java.io.Serializable;
import java.util.EventListener;

/**
* {@link IChecker}の状態の変更を受け取るオブジェクトのための
* インターフェースです。
*/
public interface ICheckerListener extends EventListener, Serializable
{
	/**
	* ICheckerの状態に変更があった時に呼び出されます。
	* @param	ev		状態の変更内容を指定します。
	*/
	public void checkerChanged( CheckerChangeEvent ev ) throws Exception;
}
